/*
 * Copyright (c) 2009, 2012, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.ts.tests.jpa.common.schema30;

import javax.persistence.Column;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;

/*
 * HardwareProduct
 */

@Entity
@DiscriminatorValue("HW")
public class HardwareProduct extends Product
        implements java.io.Serializable {

    // Instance variables
    private int modelNumber;

    public HardwareProduct() {
        super();
    }


    // ===========================================================
    // getters and setters for the state fields

    @Column(name = "MODEL", nullable = true)
    public int getModelNumber() {
        return modelNumber;
    }

    public void setModelNumber(int modelNumber) {
        this.modelNumber = modelNumber;
    }

    @Override
    public String toString() {
        StringBuilder result = new StringBuilder();
        result.append(this.getClass().getSimpleName() + "[");
        result.append("modelNumber: " + getModelNumber());
        result.append(", name: " + getName());
        result.append(", price: " + getPrice());
        result.append(", quantity: " + getQuantity());
        result.append(", partNumber: " + getPartNumber());
        result.append(", wareHouse: " + getWareHouse());
        result.append("]");
        return result.toString();
    }
}
